#ifndef _KMODEM_H_
#define _KMODEM_H_

class kModem {
  unsigned int sig;
  int fd_modem;
  int ok;
  char device[256];
  char error_str[256];

  kModemOpen(char *dev);
public:
  kModem(char *dev);                     // Constructor
  kModem();

  char *kModemGetErrorStr() { return error_str; }
  int kModemStatus() { return ok; }
  void kModemCheck();
  unsigned int kModemGetSignal() { return sig; }
  int kModemIsRTS();
  int kModemIsCTS();
  int kModemIsDSR();
  int kModemIsCD();
  int kModemIsDTR();
  int kModemIsRNG();

  ~kModem();                              // Destructor
};

#endif
